GNU bug report logs - #7096
23.1; nxml-mode attribute validation with rnc

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Majewski <stefan.majewski@HIDDEN>; dated Fri, 24 Sep 2010 15:11:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'normal' from 'minor' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '23.1; nxml-mode attribute validation with rnc' from 'minor display issue when getting new mail in rmail?' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'minor display issue when getting new mail in rmail?' from '23.1; nxml-mode attribute validation with rnc' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Disconnected #7096 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 6499 7096 7162 7212. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2010 15:10:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 11:10:28 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Oz9us-0006FQ-T2
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2010 11:10:28 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefan.majewski@HIDDEN>) id 1Oz9sS-0006Dt-C2
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2010 11:07:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <stefan.majewski@HIDDEN>) id 1Oz9v2-0005a3-1i
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2010 11:10:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_DKIM_INVALID,T_RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:33186)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefan.majewski@HIDDEN>) id 1Oz9v1-0005Zw-Ud
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2010 11:10:36 -0400
Received: from [140.186.70.92] (port=52745 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Oz9v0-0001qR-FQ
	for bug-gnu-emacs@HIDDEN; Fri, 24 Sep 2010 11:10:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <stefan.majewski@HIDDEN>) id 1Oz9uz-0005ZE-5d
	for bug-gnu-emacs@HIDDEN; Fri, 24 Sep 2010 11:10:34 -0400
Received: from grace.univie.ac.at ([131.130.3.115]:46597)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefan.majewski@HIDDEN>) id 1Oz9uy-0005YT-MI
	for bug-gnu-emacs@HIDDEN; Fri, 24 Sep 2010 11:10:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=univie.ac.at;
	s=rev1; 
	h=Content-Transfer-Encoding:Content-Type:Subject:CC:To:MIME-Version:From:Date:Message-ID;
	bh=L8t9hJKU+aswT44gg5OVGpva8uqAL//ORNuiAHCJ39A=; 
	b=LOaigtImGs1azTheYkt1SxkmR3hXvqyh6/xuicvjkYvrvdwlzFvXnoMQGlLCAuU8EHqDpCSx57U+gqobLnhpn9Yn+QH1ePOFd4Fdce1WTN3o7nc4u95wOQVYcNRVs0mrKl8cCHeV+X+griIViLNinVhewFie99yvAPaTGi+slNQ=;
Received: from joan.univie.ac.at ([131.130.3.110] helo=joan.univie.ac.at)
	by grace.univie.ac.at with esmtp (Exim 4.71)
	(envelope-from <stefan.majewski@HIDDEN>)
	id 1Oz9ut-0004lO-TE; Fri, 24 Sep 2010 17:10:27 +0200
Received: from d91-128-97-112.cust.tele2.at ([91.128.97.112]
	helo=[192.168.0.7])
	by joan.univie.ac.at with esmtpsa (TLSv1:AES256-SHA:256) (Exim 4.71)
	(envelope-from <stefan.majewski@HIDDEN>)
	id 1Oz9ut-000360-R3; Fri, 24 Sep 2010 17:10:27 +0200
Message-ID: <4C9CBF63.4050604@HIDDEN>
Date: Fri, 24 Sep 2010 17:10:27 +0200
From: Stefan Majewski <stefan.majewski@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US;
	rv:1.9.1.12) Gecko/20100915 Lightning/1.0b1 Thunderbird/3.0.8
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 23.1; nxml-mode attribute validation with rnc
X-Enigmail-Version: 1.0.1
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
X-Univie-Virus-Scan: scanned by ClamAV on joan.univie.ac.at
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 24 Sep 2010 11:10:24 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.3 (-----)

Dear Emacs devs, @CC James Clark as initial developer of nxml-mode,

first of all thanks for emacs and especially thanks for nxml-mode, as I
couldn't do or wouldn't like to do without it.

I frequently encounter the following bug with nxml-mode:

Whenever I try to use specific attribute definitions that are well
covered within the specs of RelaxNG Compact syntax, Emacs does not
validate some RNC schemas correctly. Jing (after a convertion with
trang) and other relaxng tools, nevertheless do. I tried to debug it
myself, but can't see where it goes wrong, as everything indeed seems to
be correctly in place.

The bug certainly relates to the way attribute restrictions can be based
on Unicode Character Classes like \p{P} for punctuation or \p{L} for
letter. For some strange reason the definitions for Letter seem to work
while Punctuation is not handled correctly.

Consider this minimal example (RNC and corresponding XML):

## BEGIN RNC
test = element test {
     empty,
     attribute att {
               xsd:token { pattern = "(\p{L}|\p{P})+" }
     }
}

start = test
##END RNC


<!-- BEGIN XML -->
<test att="att_val"/>
<!-- END XML -->


Strange enough, it validates when the underscore ("_" (unicode 95,
included in \p{Pc} and thus \p{P}) is removed from the XML.

But it is not just the underscore, other punctuation characters fail as
well. I could not find an obvious error in nxml's definition of the
character classes in xsd-regexp.el

As this behaviour is against the specs, I would consider it a bug in
nxml-mode.

If there is anything more I could help to track this bug down, please
let me know.

cheers,
Stefan

-- 
| Stefan Majewski  | Department of English, University of Vienna     |
| VOICE Corpus     | Spitalgasse 2-4, Universitätscampus AAKH, Hof 8 |
|                  | A-1090 Vienna                                   |
| Research Ass.(IT)| Phone: +43 1 4277 424 46                        |





Acknowledgement sent to Stefan Majewski <stefan.majewski@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7096; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.